Subject: [quicwg/base-drafts] Robert Wilton's Comment 10 (#4677)

From: Lucas Pardue <[email-masked]>
Date: Wed, 06 Jan 2021 18:45:04 -0800

Rob Wilton said:

> >   5.1.  Connection ID
> >
> >    5.1.1.  Issuing Connection IDs
> >
> >       Additional connection IDs are communicated to the peer using
> >       NEW_CONNECTION_ID frames (Section 19.15).  The sequence number on
> >       each newly issued connection ID MUST increase by 1.  The connection
> >       ID randomly selected by the client in the Initial packet and any
> >       connection ID provided by a Retry packet are not assigned sequence
> >       numbers unless a server opts to retain them as its initial connection
> >       ID.
>
> I was slightly confused by the "The connection ID randomly selected by the
> client".  Elsewhere in section 5.1 it says that connection id allocation are
> implementation specific.  Are there any constraints on how connection ids can
> be allocated (other than not repeating as already stated).  E.g., could an
> implementation just allocate them as integers starting at 1?  Or can all
> connection ids (including NEW_CONNECTION_IDs) be randomly allocated?

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/issues/4677

---

From: Martin Thomson <[email-masked]>
Date: Thu, 07 Jan 2021 17:17:44 -0800

This refers to the one instance where the connection ID does need to be randomly generated; see https://quicwg.org/base-drafts/draft-ietf-quic-transport.html#section-7.2-3

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/issues/4677#issuecomment-756485425

---

From: Jana Iyengar <[email-masked]>
Date: Mon, 11 Jan 2021 23:41:25 -0800

Closed #4677 via #4727.

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/issues/4677#event-4194440006